# LoadStateFromPlayerPrefs(string)

Method in [DialogueRunner](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

Loads all variables from the `UnityEngine.PlayerPrefs` object into the Dialogue Runner's variable storage.

```csharp
public bool LoadStateFromPlayerPrefs(string SaveKey = "YarnBasicSave")
```

## Remarks

This method loads a string containing JSON from the `UnityEngine.PlayerPrefs` object under the key `SaveKey`, deserializes that JSON, and then uses the resulting object to set all variables in [VariableStorage](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.variablestorage.md).

The loaded information can be stored via the [SaveStateToPlayerPrefs(string)](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.savestatetoplayerprefs.md) method.

## Parameters

| Name             | Description                                |
| ---------------- | ------------------------------------------ |
| `string` SaveKey | The key to use when storing the variables. |

## Returns

`true` if the variables were successfully loaded from the player preferences; `false` otherwise.

## See Also

* [VariableStorageBehaviour.SetAllVariables(FloatDictionary,StringDictionary,BoolDictionary,bool)](/2.3/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour/yarn.unity.variablestoragebehaviour.setallvariables.md): Provides a unified interface for loading many variables all at once. Will override anything already in the variable storage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.loadstatefromplayerprefs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
